> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# App settings

> Returns the client and server-side settings to be used by the Merchant.

Returns the lists of client and server-side settings to be used by the Merchant. The original JSON string is returned in the AppSettings.ClientSettings property must be passed back to Global‑e client SDK as received. The sample string may look like this: `{"AllowTracking":{"value":"true"},"Opacity":{"value":"0.8"}}` .


## OpenAPI

````yaml api-reference/specs/appsettings.yaml POST /Browsing/AppSettings
openapi: 3.0.3
info:
  title: AppSettings
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Returns the lists of client and server-side settings to be used by the
    Merchant. The original JSON string is returned in the
    AppSettings.ClientSettings property must be passed back to Global‑e client
    SDK as received. The sample string may look like this:
    {"AllowTracking":{"value":"true"},"Opacity":{"value":"0.8"}} .
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: AppSettings
    x-page-title: AppSettings
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/AppSettings:
    post:
      tags:
        - AppSettings
      summary: Return the client and server-side settings for the Merchant
      description: >-
        Returns the lists of client and server-side settings to be used by the
        Merchant. The original JSON string is returned in the
        AppSettings.ClientSettings property must be passed back to Global‑e
        client SDK as received. The sample string may look like this:
        {"AllowTracking":{"value":"true"},"Opacity":{"value":"0.8"}} .
      operationId: appSettings
      parameters:
        - name: WebStoreCodes
          in: query
          required: false
          description: >-
            Includes web store code and web store instance code to get the
            merchant app setting for the specific merchant web store
            instance/domain
          schema:
            $ref: '#/components/schemas/WebStoreCodes'
      responses:
        '200':
          description: Details about API version and client/server settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  AppSetting:
                    allOf:
                      - $ref: '#/components/schemas/AppSettings'
                    description: Details about API version and client/server settings
components:
  schemas:
    WebStoreCodes:
      type: object
      title: WebStoreCodes
      properties:
        WebStoreCode:
          type: string
          description: The code of the merchant web store
        WebStoreInstanceCode:
          type: string
          description: The code of the instance of the web store
    AppSettings:
      type: object
      title: AppSettings
      properties:
        ClientSettings:
          type: object
          description: Dictionary of client-side settings
          additionalProperties:
            $ref: '#/components/schemas/AppSetting'
        ServerSettings:
          type: object
          description: Dictionary of server-side settings
          additionalProperties:
            $ref: '#/components/schemas/AppSetting'
    AppSetting:
      type: object
      title: AppSetting
      properties:
        Value:
          type: string
          description: Application setting value

````